## org.apache.xalan.xsltc.compiler
Class sym

    java.lang.Object
      org.apache.xalan.xsltc.compiler.sym

    public class sym

extends java.lang.Object

CUP generated class containing symbol constants.

Field Summary
`static int` `ANCESTOR`
`static int` `ANCESTORORSELF`
`static int` `AND`
`static int` `ATSIGN`
`static int` `ATTRIBUTE`
`static int` `CHILD`
`static int` `COMMA`
`static int` `COMMENT`
`static int` `DCOLON`
`static int` `DDOT`
`static int` `DESCENDANT`
`static int` `DESCENDANTORSELF`
`static int` `DIV`
`static int` `DOLLAR`
`static int` `DOT`
`static int` `DSLASH`
`static int` `EOF`
`static int` `EQ`
`static int` `error`
`static int` `EXPRESSION`
`static int` `FOLLOWING`
`static int` `FOLLOWINGSIBLING`
`static int` `GE`
`static int` `GT`
`static int` `ID`
`static int` `INT`
`static int` `KEY`
`static int` `LBRACK`
`static int` `LE`
`static int` `Literal`
`static int` `LPAREN`
`static int` `LT`
`static int` `MINUS`
`static int` `MOD`
`static int` `NAMESPACE`
`static int` `NE`
`static int` `NODE`
`static int` `OR`
`static int` `PARENT`
`static int` `PATTERN`
`static int` `PI`
`static int` `PIPARAM`
`static int` `PLUS`
`static int` `PRECEDING`
`static int` `PRECEDINGSIBLING`
`static int` `QNAME`
`static int` `RBRACK`
`static int` `REAL`
`static int` `RPAREN`
`static int` `SELF`
`static int` `SLASH`
`static int` `STAR`
`static int` `TEXT`
`static int` `VBAR`

Constructor Summary
`sym()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Literal

    public static final int Literal

See Also:
  Constant Field Values

### GE

    public static final int GE

See Also:
  Constant Field Values

### NAMESPACE

    public static final int NAMESPACE

See Also:
  Constant Field Values

### SLASH

    public static final int SLASH

See Also:
  Constant Field Values

### PI

    public static final int PI

See Also:
  Constant Field Values

### COMMENT

    public static final int COMMENT

See Also:
  Constant Field Values

### PIPARAM

    public static final int PIPARAM

See Also:
  Constant Field Values

### FOLLOWINGSIBLING

    public static final int FOLLOWINGSIBLING

See Also:
  Constant Field Values

### ATSIGN

    public static final int ATSIGN

See Also:
  Constant Field Values

### DSLASH

    public static final int DSLASH

See Also:
  Constant Field Values

### LPAREN

    public static final int LPAREN

See Also:
  Constant Field Values

### EXPRESSION

    public static final int EXPRESSION

See Also:
  Constant Field Values

### INT

    public static final int INT

See Also:
  Constant Field Values

### CHILD

    public static final int CHILD

See Also:
  Constant Field Values

### MINUS

    public static final int MINUS

See Also:
  Constant Field Values

### STAR

    public static final int STAR

See Also:
  Constant Field Values

### DESCENDANTORSELF

    public static final int DESCENDANTORSELF

See Also:
  Constant Field Values

### RPAREN

    public static final int RPAREN

See Also:
  Constant Field Values

### AND

    public static final int AND

See Also:
  Constant Field Values

### LT

    public static final int LT

See Also:
  Constant Field Values

### OR

    public static final int OR

See Also:
  Constant Field Values

### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

### DDOT

    public static final int DDOT

See Also:
  Constant Field Values

### DIV

    public static final int DIV

See Also:
  Constant Field Values

### PLUS

    public static final int PLUS

See Also:
  Constant Field Values

### DOT

    public static final int DOT

See Also:
  Constant Field Values

### ID

    public static final int ID

See Also:
  Constant Field Values

### LE

    public static final int LE

See Also:
  Constant Field Values

### QNAME

    public static final int QNAME

See Also:
  Constant Field Values

### DESCENDANT

    public static final int DESCENDANT

See Also:
  Constant Field Values

### PRECEDINGSIBLING

    public static final int PRECEDINGSIBLING

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### error

    public static final int error

See Also:
  Constant Field Values

### SELF

    public static final int SELF

See Also:
  Constant Field Values

### VBAR

    public static final int VBAR

See Also:
  Constant Field Values

### MOD

    public static final int MOD

See Also:
  Constant Field Values

### ANCESTORORSELF

    public static final int ANCESTORORSELF

See Also:
  Constant Field Values

### PRECEDING

    public static final int PRECEDING

See Also:
  Constant Field Values

### EQ

    public static final int EQ

See Also:
  Constant Field Values

### PATTERN

    public static final int PATTERN

See Also:
  Constant Field Values

### LBRACK

    public static final int LBRACK

See Also:
  Constant Field Values

### REAL

    public static final int REAL

See Also:
  Constant Field Values

### ANCESTOR

    public static final int ANCESTOR

See Also:
  Constant Field Values

### RBRACK

    public static final int RBRACK

See Also:
  Constant Field Values

### DCOLON

    public static final int DCOLON

See Also:
  Constant Field Values

### DOLLAR

    public static final int DOLLAR

See Also:
  Constant Field Values

### NE

    public static final int NE

See Also:
  Constant Field Values

### PARENT

    public static final int PARENT

See Also:
  Constant Field Values

### FOLLOWING

    public static final int FOLLOWING

See Also:
  Constant Field Values

### KEY

    public static final int KEY

See Also:
  Constant Field Values

### TEXT

    public static final int TEXT

See Also:
  Constant Field Values

### ATTRIBUTE

    public static final int ATTRIBUTE

See Also:
  Constant Field Values

### GT

    public static final int GT

See Also:
  Constant Field Values

### NODE

    public static final int NODE

See Also:
  Constant Field Values

Constructor Detail

### sym

    public sym()

Copyright © 2005 Apache XML Project. All Rights Reserved.